Rated 4 out of 5 stars

I can't install it because it is not compatible with WaterFox 18.0.1. It said "Works with Firefox 4.0 - 22.*"
I'm using other themes just fine so I wonder is this theme only work with Firefox?

This review is for a previous version of the add-on (1.3.5).